import enum


class VectorMessage(enum.Enum):
    status = 'vector_status'
    start = 'vector_start'
    stop = 'vector_stop'
    restart = 'vector_restart'
    reload = 'vector_reload'
    service_info = 'vector_service_info'


class ZeekMessage(enum.Enum):
    status = 'zeek_status'
    start = 'zeek_start'
    stop = 'zeek_stop'
    restart = 'zeek_restart'
    settings_update = 'zeek_settings_update'
    protocols_disable = 'zeek_protocols_disable'


class SuricataMessage(enum.Enum):
    status = 'suricata_status'
    start = 'suricata_start'
    stop = 'suricata_stop'
    restart = 'suricata_restart'


class SystemMessage(enum.Enum):
    settings_changed = 'settings_changed'
    synchronization = 'synchronization'
    ping = 'ping'
    interfaces = 'interfaces'
